# vim: set sw=4 ts=4 et:

Name:           gamin
Version:        0.1.10
Release:        0.pm.15.3
Summary:        Library providing the FAM File Alteration Monitor API
License:        GNU Library General Public License version 2 (LGPL v2)
Group:          System/Daemons
URL:            http://www.gnome.org/~veillard/gamin/
# http://www.gnome.org/~veillard/gamin/sources/%{name}-%{version}.tar.gz
Source:         %{name}-%{version}.tar.bz2
Patch0:         gamin-return.patch
Patch1:         gamin-fam_abi_compatibility_FamErrlist.patch
Patch2:         gamin-fix_python_main.patch
Provides:       fam
Provides:       libfam0
Provides:       libgamin1_0 = %{version}-%{release}
Requires:       gamin-server = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib2-devel python-devel gcc gcc-c++ libstdc++-devel make pkgconfig

%description
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.




Authors:
--------
    Daniel Veillard <veillard@redhat.com>

%package server
Summary:        Server for the Library providing the FAM File Alteration Monitor API
Group:          System/Daemons

%description server
This package contains the daemon for %{name}.
It is split off into its own subpackage to void file conflicts when both
%{name} and %{name}-32bit are installed on a multiarch platform.

%package devel
Summary:        Libraries and includes to build against the Gamin library
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
Provides:       fam-devel

%description devel
Libraries, includes, etc. to use and build against the Gamin library.

%package -n python-gamin
Summary:        Python bindings for the gamin library
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}-%{release}
Requires:       python
Provides:       gamin-python = %{version}-%{release}
%py_requires

%description -n python-gamin
The gamin-python package contains a module that allow monitoring of
files and directories from the Python language based on the support
of the gamin package.

%prep
%setup -q
%patch0 -p0
%patch1
%patch2

%build
%configure \
    --disable-static

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__mkdir_p .rpmdoc/python
%__mv doc/python.html .rpmdoc/python/doc.html

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README Copyright TODO
%doc doc/*.html
%doc doc/*.gif
%doc doc/*.txt
%{_libdir}/libfam.so.0.*.*
%{_libdir}/libfam.so.0
%{_libdir}/libgamin-1.so.0
%{_libdir}/libgamin-1.so.0.*.*

%files server
%defattr(-, root, root)
%{_libexecdir}/gam_server

%files devel
%defattr(-, root, root)
%{_libdir}/libfam.la
%{_libdir}/libfam.so
%{_libdir}/libgamin-1.so
%{_libdir}/libgamin-1.la
%{_libdir}/libgamin_shared.a
%{_includedir}/fam.h
%{_libdir}/pkgconfig/gamin.pc

%files -n python-gamin
%defattr(-, root, root)
%doc .rpmdoc/python/*
%{py_sitedir}/gamin.py*
%{py_sitedir}/_gamin*

%changelog
* Tue Sep  1 2009 pascal.bleser@opensuse.org
- add gamin-32bit package through baselibs.conf to fix KDE 32bit compatibility libs (thanks to Martin Vogt for reporting), which requires splitting %%{_libexecdir}/gam_server into its own subpackage (gamin-server) to avoid file conflicts when both gamin and gamin-32bit are installed -- note that gamin and gamin-32bit both require the package gamin-server, so nothing needs to be done on the user end
* Sat Jul 25 2009 pascal.bleser@opensuse.org
- add patch to be completely ABI compatible with fam, in order to avoid warnings and crashes caused by "Symbol `FamErrlist' has different size in shared object, consider re-linking"; references:
  * http://lists.opensuse.org/yast-devel/2009-02/msg00000.html
  * http://www.nabble.com/Bug-437307:-lighttpd-fails-to-restart-after-update-td12107383.html
* Thu Mar 12 2009 detlef@links2linux.de
- add return.patch
* Sat Jan  3 2009 detlef@links2linux.de
- new upstream version <0.1.10>
* Wed Jul 16 2008 detlef@links2linux.de
- initial build for PackMan
* Thu Oct 27 2005 veillard@redhat.com
- hopefully fixes gam_server crashes
- some portability fixes
- removed a minor leak
* Thu Sep  8 2005 veillard@redhat.com
- revamp of the inotify back-end
- memory leak fix
- various fixes and cleanups
* Tue Aug  9 2005 veillard@redhat.com
- Improvement of configuration, system wide configuration files and
  per filesystem type default
- Rewrite of the inotify back-end, reduce resources usage, tuning in
  case of busy resources
- Documentation updates
- Changes to compile inotify back-end on various architectures
- Debugging output improvements
* Tue Aug  2 2005 veillard@redhat.com
- Fix to compile on older gcc versions
- Inotify back-end changes and optimizations
- Debug ouput cleanup, pid and process name reports
- Dropped kernel monitor bugfix
- Removed the old glist copy used for debugging
- Maintain mounted filesystems knowledge, and per fstype preferences
* Wed Jul 13 2005 veillard@redhat.com
- inotify back end patches, ready for the new inotify support in kernel
- lot of server code cleanup patches
- fixed an authentication problem
* Fri Jun 10 2005 veillard@redhat.com
- gamin_data_conn_event fix
- crash from bug gnome #303932
- Inotify and mounted media #171201
- mounted media did not show up on Desktop #159748
- write may not be atomic
- Monitoring a directory when it is a file
- Portability to Hurd/Mach and various code cleanups
- Added support for ~ as user home alias in .gaminrc
* Thu May 12 2005 veillard@redhat.com
- Close inherited file descriptors on exec of gam_server
- Cancelling a monitor send back a FAMAcknowledge
- Fixed for big files > 2GB
- Bug when monitoring a non existing directory
- Make client side thread safe
- Unreadable directory fixes
- Better flow control handling
- Updated to latest inotify version: 0.23-6
* Tue Mar 15 2005 veillard@redhat.com
- Fix an include problem showing up with gcc4</li>
- Fix the crash on failed tree assert bug #150471 based on patch from Dean Brettle
- removed an incompatibility with SGI FAM #149822
* Tue Mar  1 2005 veillard@redhat.com
- Fix a configure problem reported by Martin Schlemmer
- Fix the /media/* and /mnt/* mount blocking problems from 0.0.24 e.g. #142637
- Fix the monitoring of directory using poll and not kernel
* Fri Feb 18 2005 veillard@redhat.com
- more documentation
- lot of serious bug fixes including Gnome Desktop refresh bug
- extending the framework for more debug (configure --enable-debug-api)
- extending the python bindings for watching the same resource multiple times
  and adding debug framework support
- growing the regression tests a lot based on python bindings
- inotify-0.19 patch from John McCutchan
- renamed python private module to _gamin to follow Python PEP 8
* Tue Feb  8 2005 veillard@redhat.com
- memory corruption fix from Mark on the client side
- extending the protocol and API to allow skipping Exists and EndExists
  events to avoid deadlock on reconnect or when they are not used.
* Mon Jan 31 2005 veillard@redhat.com
- bit of python bindings improvements, added test
- fixed 3 bugs
* Wed Jan 26 2005 veillard@redhat.com
- Added Python support
- Updated for inotify-0.18
* Thu Jan  6 2005 veillard@redhat.com
- Frederic Crozat seems to have found the GList corruption which may fix
- Frederic Crozat also fixed poll only mode
* Fri Dec  3 2004 veillard@redhat.com
- still chasing the loop bug, made another pass at checking GList,
  added own copy with memory poisonning of GList implementation.
- fixed a compile issue when compiling without debug
* Fri Nov 26 2004 veillard@redhat.com
- still chasing the loop bug, checked and cleaned up all GList use
- patch from markmc to minimize load on busy apps
* Wed Oct 20 2004 veillard@redhat.com
- chasing #132354, lot of debugging, checking and testing and a bit
  of refactoring
* Sat Oct 16 2004 veillard@redhat.com
- workaround to detect loops and avoid the nasty effects, see RedHat bug #132354
* Sun Oct  3 2004 veillard@redhat.com
- Found and fixed the annoying bug where update were not received
  should fix bugs ##132429, #133665 and #134413
- new mechanism to debug on-the-fly by sending SIGUSR2 to client or server
- Added documentation about internals
* Fri Oct  1 2004 veillard@redhat.com
- applied portability fixes
- hardened the code while chasing a segfault
* Thu Sep 30 2004 veillard@redhat.com
- potential fix for a hard to reproduce looping problem.
* Mon Sep 27 2004 veillard@redhat.com
- update to the latest version of inotify
- inotify support compiled in by default
- fix ABI FAM compatibility problems #133162
* Tue Sep 21 2004 veillard@redhat.com
- more documentation
- Added support for a configuration file $HOME/.gaminrc
- fixes FAM compatibility issues with FAMErrno and FamErrlist #132944
* Wed Sep  1 2004 veillard@redhat.com
- fix crash with konqueror #130967
- exclude kernel (dnotify) monitoring for /mnt//* /media//*
* Thu Aug 26 2004 veillard@redhat.com
- Fixes crashes of the gam_server
- try to correct the kernel/poll switching mode
* Tue Aug 24 2004 veillard@redhat.com
- add support for both polling and dnotify simultaneously
- fixes monitoring of initially missing files
- load control on very busy resources #124361, desactivating
  dnotify and falling back to polling for CPU drain
* Thu Aug 19 2004 veillard@redhat.com
- fixes simple file monitoring should close RH #129974
- relocate gam_server in $(libexec)
* Thu Aug  5 2004 veillard@redhat.com
- Fix a crash when the client binary forks the gam_server and an
  atexit handler is run.
* Wed Aug  4 2004 veillard@redhat.com
- should fix KDE build problems
